<%@ Page Language="VB" ResponseEncoding="iso-8859-1" %>
<%@ Register TagPrefix="Rico" Assembly="Rico" NameSpace="Rico" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />

<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  Session.Timeout=60
  if app.OpenGrid(customer,"contextmenu") then
    app.SetGridOptions(order,"contextmenu")
    app.SetGridOptions(detail,"contextmenu")
    order.sendDebugMsgs=true
    order.LogSqlOnError=true
    detail.sendDebugMsgs=true
    detail.LogSqlOnError=true
  end if
End Sub

</script>



<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-3 Grid Example</title>

<Rico:LoadClient checkQueryString='true' runat='server' />
<link href="../demo.css" type="text/css" rel="stylesheet" />

<script type="text/javascript">

function MeasureLayout() {
  var c=Rico.select('div.gridcontainer');
  var msg='';
  for (var i=0; i < c.length; i++)
    msg+='Container'+i+': offsetHeight='+c[i].offsetHeight+'  scrollHeight='+c[i].scrollHeight+'\n';
  alert(msg);
}

function customerDrillDown(e) {
  var cell=Rico.eventElement(e);
  cell=Rico.getParentByTagName(cell,'div','ricoLG_cell');
  if (!cell) return;
  Rico.eventStop(e);
  var winIdx=customer['grid'].winCellIndex(cell);
  var dataIdx=customer['grid'].datasetIndex(cell);
  if (!dataIdx.onBlankRow) {
    customer['grid'].highlight(winIdx);
    var custid=customer['grid'].columns[0].getValue(winIdx.row);
    Rico.$("order_caption").innerHTML='Orders for '+custid;
    Rico.$("detail_caption").innerHTML="";
    order['grid'].columns[0].setSystemFilter("EQ",custid);
    detail['grid'].resetContents();
  }
  return false;
}

function orderDrillDown(e) {
  var cell=Rico.eventElement(e);
  cell=Rico.getParentByTagName(cell,'div','ricoLG_cell');
  if (!cell) return;
  Rico.eventStop(e);
  var winIdx=order['grid'].winCellIndex(cell);
  var dataIdx=order['grid'].datasetIndex(cell);
  if (!dataIdx.onBlankRow) {
    order['grid'].highlight(winIdx);
    var orderid=order['grid'].columns[1].getValue(winIdx.row);
    Rico.$("detail_caption").innerHTML='Order #'+orderid;
    detail['grid'].columns[0].setSystemFilter("EQ",orderid);
  }
  return false;
}

function detailDataMenu(objCell,onBlankRow) {
  return !onBlankRow;
}

</script>

<style type="text/css">
 html, body {
    height:96%;
    margin: 0px;
    padding: 0px;
    border: none;
 }


.gridcontainer {
  margin-left:5px;
  width:70%;
  overflow:visible;
  float: left;
  font-size: 8pt !important;
}

#explanation {
  overflow:auto;
  height:99%;
  width:25%;
  font-size:8pt;
  font-family:Verdana, Arial, Helvetica, sans-serif;
  float: left;
  padding: 5px;
}
</style>

</head>



<body>

<div id='explanation'>
Base Library: 
<script type='text/javascript'>
document.write(Rico.Lib+' '+Rico.LibVersion);
</script>
<hr>
<p>Unlike the other examples, grid menus are activated in this example
by <strong>right-clicking</strong> on a grid (ctrl-click in Opera, Konqueror, or Safari). 
<p>To filter: right-click 
on the value that you would like to use as the basis for filtering, 
then select the desired filtering method from the pop-up menu.
<p>Right-click anywhere in a column to see sort, hide, and show options.
<p><strong>Double-click</strong> on a row to see all orders for that customer.
Double-click on an order to see the line items for that order.
<p>Drag the edge of a column heading to resize a column.
<!--
<p><button onclick='MeasureLayout();'>Measure Grid Containers</button>
-->
</div>

<div class='gridcontainer' style='height:39%'>

<Rico:LiveGrid runat='server' id='customer' caption='Customers' rows='-4' frozenColumns='2' DefaultSort='CustomerID' menuEvent='contextmenu' DisplayTimer='false' highlightElem='menuRow' dblclick="Rico.eventHandle(window,'customerDrillDown')">
  <Rico:DefaultGridStyle runat='server' fontsize="8" />
  <Rico:Table runat='server' TblName='customers' />
  <Rico:TableCol runat='server' heading='Cust ID'     colname='CustomerID'  width='60' />
  <Rico:TableCol runat='server' heading='Company'     colname='CompanyName' width='150' />
  <Rico:TableCol runat='server' heading='Contact'     colname='ContactName' width='115' />
  <Rico:TableCol runat='server' heading='Address'     colname='Address'     width='130' />
  <Rico:TableCol runat='server' heading='City'        colname='City'        width='90' />
  <Rico:TableCol runat='server' heading='Region'      colname='Region'      width='60' />
  <Rico:TableCol runat='server' heading='Postal Code' colname='PostalCode'  width='90' />
  <Rico:TableCol runat='server' heading='Country'     colname='Country'     width='100' />
  <Rico:TableCol runat='server' heading='Phone'       colname='Phone'       width='115' />
  <Rico:TableCol runat='server' heading='Fax'         colname='Fax'         width='115' />
</Rico:LiveGrid>

</div>
<div class='gridcontainer' style='height:30%'>

<Rico:LiveGrid runat='server' id='order' caption='' rows='-4' prefetchBuffer='false' DefaultSort='OrderID' menuEvent='contextmenu' DisplayTimer='false' highlightElem='menuRow' dblclick="Rico.eventHandle(window,'orderDrillDown')">
  <Rico:DefaultGridStyle runat='server' fontsize="8" />
  <Rico:Table runat='server' TblName='orders' />
  <Rico:TableCol runat='server' heading='Cust ID'    colname='CustomerID'  width='60' canSort='false' visible='false' />
  <Rico:TableCol runat='server' heading='Order#'       colname='OrderID'     width='60' />
  <Rico:TableCol runat='server' heading='Ship Name'    colname='ShipName'    width='150' />
  <Rico:TableCol runat='server' heading='Ship City'    colname='ShipCity'    width='80' />
  <Rico:TableCol runat='server' heading='Ship Country' colname='ShipCountry' width='90' />
  <Rico:TableCol runat='server' heading='Order Date'   colname='OrderDate'   width='100' datatype='date' />
  <Rico:TableCol runat='server' heading='Ship Date'    colname='ShippedDate' width='100' datatype='date' />
</Rico:LiveGrid>

</div>
<div class='gridcontainer' style='height:30%'>

<Rico:LiveGrid runat='server' id='detail' caption='' rows='-4' prefetchBuffer='false' menuEvent='contextmenu' DisplayTimer='false' highlightElem='menuRow'>
  <Rico:DefaultGridStyle runat='server' fontsize="8" />
  <Rico:Table runat='server' TblName='order_details' TblAlias='t' />
  <Rico:Table runat='server' TblName='products' TblAlias='p' JoinCondition='t.ProductId=p.ProductId' />
  <Rico:TableCol runat='server' heading='Order#'        colname='OrderID' width='60' canSort='false' visible='false' />
  <Rico:TableCol runat='server' heading='Description'   colname='ProductName' width='150' AltTable='products' />
  <Rico:TableCol runat='server' heading='Unit Quantity' colname='QuantityPerUnit' width='125' AltTable='products' />
  <Rico:TableCol runat='server' heading='Unit Price'    colname='UnitPrice' width='80' datatype='Dollar' AltTable='products' />
  <Rico:TableCol runat='server' heading='Qty'           colname='Quantity' width='50' datatype='number' />
  <Rico:FormulaCol runat='server' heading='Total'       formula='t.UnitPrice*t.Quantity' width='80' datatype='Dollar' />
  <Rico:TableCol runat='server' heading='Discount'      colname='Discount' width='80' datatype='Percent' />
  <Rico:FormulaCol runat='server' heading='Net Price'   formula='t.UnitPrice*t.Quantity*(1.0-Discount)' width='90' datatype='Dollar' />
</Rico:LiveGrid>

</div>

</body>
</html>
